Skip to main content

Get a resident by ID

GEThttps://api.propexo.com/v1/residents/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the resident

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Leasing/Leasing/GetCurrentResidents
    Example: c449e6f2-8179-4085-9dde-ca35b541e671
    x_lease_idstring | nullnullablerequireddeprecated

    Deprecated. Use leases_meta_data instead

    Important

    There can be multiple leases associated with a resident in ResMan. Prefer the leases_meta_data array on the residents API payload.

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    leases_meta_data object[]

    Known associated lease meta data

  • Array [
  • lease_idstringrequired

    The Propexo unique identifier for the lease

    InterfaceMethod
    Leasing/Leasing/GetProspectChanges
    Leasing (Partner API)/Leasing/Leases
    Leasing (Partner API)/Leasing/MoveOuts
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: clyq4payb0000ysozazk80eck
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    Important

    This field is only available from ResMan for the current lease and is not available on future leases.

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: Head of Household
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    Important

    This field is only available from ResMan for the current lease and is not available on future leases.

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datestring | nullnullablerequired

    The move-in date associated with the resident

    InterfaceMethod
    Leasing (Partner API)/Leasing/Leases
    Leasing (Partner API)/Leasing/MoveOuts
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: 2024-11-22T00:00:00.000Z
    move_out_datestring | nullnullablerequired

    The move-out date associated with the resident

    InterfaceMethod
    Leasing (Partner API)/Leasing/Leases
    Leasing (Partner API)/Leasing/MoveOuts
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: 2025-11-22T00:00:00.000Z
    notice_datestring | nullnullablerequired

    The date the resident gave notice

    InterfaceMethod
    Leasing/Leasing/GetProspectChanges
    Example: 2024-03-21T00:00:00.000Z
    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • address_1_alternatenullrequired

    The first alternate address line associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Example: 123 Main Street
    address_2_alternatenullrequired

    The second alternate address line associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    address_2string | nullnullablerequired

    The second address line associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Example: Apt 4B
    balance_in_centsnumber | nullnullablerequired

    The rent balance owed

    Important

    This data in ResMan requires additional configuration for your Propexo integration. Please contact Propexo support for more information.

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Example: 150000
    city_alternatenullrequired

    The alternate city associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    citystring | nullnullablerequired

    The city associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Example: Boston
    country_alternatenullrequired

    The alternate country associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    countrystring | nullnullablerequired

    The country associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Example: United States
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    Leasing/Leasing/GetCurrentResidents
    Example: 1980-05-30T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    email_2nullrequired

    The secondary email address associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: John
    is_employeenullrequired

    Is the resident an employee

    Notice

    This field will always be null for RESMAN

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: Doe
    late_balance_in_centsnullrequired

    The past due rent balance owed

    Notice

    This field will always be null for RESMAN

    Example: null
    middle_namenullrequired

    The middle name associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    notesnullrequired

    Notes associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Important

    This will always be a mobile phone number. If you'd like a FAX or OTHER phone type, please contact support.

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: 555-555-5555
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Important

    This will always be a home phone number. If you'd like a FAX or OTHER phone type, please contact support.

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: 555-555-5554
    state_alternatenullrequired

    The alternate state associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    statestring | nullnullablerequired

    The state associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Example: MA
    zip_alternatenullrequired

    The alternate zip code associated with the resident

    Notice

    This field will always be null for RESMAN

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the resident

    InterfaceMethod
    Residents/MITS/SearchProspects, /Receivables/GetAccounts
    Example: 02134
    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: a3bd159b-2964-4dfc-b3fa-ba596849aa0e
    namestring | nullnullablerequired

    The name associated with the resident pet

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: Buddy
    typestring | nullnullablerequired

    The type associated with the resident pet

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: Cat/Dog
    breedstring | nullnullablerequired

    The breed of the resident pet

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: Poodle
    gender_rawnullrequired

    The raw value for the gender of the resident pet

    Notice

    This field will always be null for RESMAN

    Example: null
    age_in_yearsnumber | nullnullablerequired

    The age in years of the resident pet

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: 2
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the resident pet

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: 56
    is_fixednullrequired

    Whether the resident pet is fixed

    Notice

    This field will always be null for RESMAN

    Example: null
    is_service_animalnullrequired

    Whether the resident pet is a service animal

    Notice

    This field will always be null for RESMAN

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the resident pet

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: A really good dog. House trained.
    custom_data object | nullrequired
    object
  • ]
  • vehicles object[]required
    Notice

    This field is not currently hydrated for RESMAN

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident vehicle

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    makestring | nullnullablerequired

    The make of the resident vehicle

    Notice

    This field is not currently hydrated for RESMAN

    modelstring | nullnullablerequired

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle

    Notice

    This field is not currently hydrated for RESMAN

    colorstring | nullnullablerequired

    The color of the resident vehicle

    Notice

    This field is not currently hydrated for RESMAN

    yearstring | nullnullablerequired

    The year of the resident vehicle

    Notice

    This field is not currently hydrated for RESMAN

    license_plate_numberstring | nullnullablerequired

    The license plate number of the resident vehicle

    Notice

    This field is not currently hydrated for RESMAN

    license_plate_statestring | nullnullablerequired

    The license plate state of the resident vehicle

    Notice

    This field is not currently hydrated for RESMAN

    notesstring | nullnullablerequired

    Notes associated with the resident vehicle

    Notice

    This field is not currently hydrated for RESMAN

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/residents/:id
curl https://api.propexo.com/v1/residents/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "c449e6f2-8179-4085-9dde-ca35b541e671",
"leases_meta_data": [
{
"lease_id": "clyq4payb0000ysozazk80eck",
"x_resident_type": "Head of Household",
"resident_type_normalized": "PRIMARY",
"move_in_date": "2024-11-22T00:00:00.000Z",
"move_out_date": "2025-11-22T00:00:00.000Z",
"notice_date": "2024-03-21T00:00:00.000Z",
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"address_1_alternate": null,
"address_1": "123 Main Street",
"address_2_alternate": null,
"address_2": "Apt 4B",
"balance_in_cents": 150000,
"city_alternate": null,
"city": "Boston",
"country_alternate": null,
"country": "United States",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1980-05-30T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": null,
"first_name": "John",
"is_employee": null,
"last_name": "Doe",
"late_balance_in_cents": null,
"middle_name": null,
"notes": null,
"phone_1_type": "MOBILE",
"phone_1": "555-555-5555",
"phone_2_type": "HOME",
"phone_2": "555-555-5554",
"state_alternate": null,
"state": "MA",
"zip_alternate": null,
"zip": "02134",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "a3bd159b-2964-4dfc-b3fa-ba596849aa0e",
"name": "Buddy",
"type": "Cat/Dog",
"breed": "Poodle",
"gender_raw": null,
"age_in_years": 2,
"weight_in_pounds": 56,
"is_fixed": null,
"is_service_animal": null,
"notes": "A really good dog. House trained.",
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"make": "string",
"model": "string",
"color": "string",
"year": "string",
"license_plate_number": "string",
"license_plate_state": "string",
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}